org.apache.olingo.odata2.spring

## Class OlingoRootLocator

- java.lang.Object
- - org.apache.olingo.odata2.core.rest.ODataRootLocator
  - - org.apache.olingo.odata2.spring.OlingoRootLocator

-     @Path(value="/")
      public class OlingoRootLocator
      extends org.apache.olingo.odata2.core.rest.ODataRootLocator

  Default OData root locator responsible to handle the whole path and delegate all calls to a sub locator:

  `/{odata path} e.g. http://host:port/webapp/odata.svc/$metadata`
  All path segments defined by a servlet mapping belong to the odata uri.

  This behavior can be changed:

  `/{custom path}{odata path} e.g. http://host:port/webapp/bmw/odata.svc/$metadata`
  The first segment defined by a servlet mapping belong to customer context and the following segments are OData specific.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OlingoRootLocator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPathSplit()`
    `ODataServiceFactory` | `getServiceFactory()`
    `void` | `setPathSplit(int pathSplit)`
    `void` | `setServiceFactory(ODataServiceFactory serviceFactory)`

    - ### Methods inherited from class org.apache.olingo.odata2.core.rest.ODataRootLocator

      `createServiceFactoryFromContext, handleRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OlingoRootLocator

          public OlingoRootLocator()

  - ### Method Detail

    - #### getServiceFactory

          public ODataServiceFactory getServiceFactory()

      Overrides:
        `getServiceFactory` in class `org.apache.olingo.odata2.core.rest.ODataRootLocator`

    - #### setServiceFactory

          public void setServiceFactory(ODataServiceFactory serviceFactory)

    - #### getPathSplit

          public int getPathSplit()

      Overrides:
        `getPathSplit` in class `org.apache.olingo.odata2.core.rest.ODataRootLocator`

    - #### setPathSplit

          public void setPathSplit(int pathSplit)

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.